cascading.flow

## Class FlowSession

- java.lang.Object
- - cascading.flow.FlowSession

-     public class FlowSession
      extends java.lang.Object

  FlowSession implementations provide a call-back interface into the current flow management system, if any.

  A FlowSession is effectively unique to the current `Flow`, where a `FlowProcess` is unique to each underlying 'job'.
  See Also:
    `FlowProcess`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CascadingServices` | `cascadingServices`
    `static FlowSession` | `NULL` Field NULL is a noop implementation of FlowSession.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowSession()`
    `FlowSession(CascadingServices cascadingServices)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CascadingServices` | `getCascadingServices()`
    `FlowProcess` | `getCurrentProcess()` Method getCurrentProcess returns the currentProcess of this FlowSession object.
    `java.lang.String` | `getID()` Method getID returns the parent `Flow` ID value.
    `void` | `setCurrentProcess(FlowProcess currentProcess)` Method setCurrentProcess sets the currentProcess of this FlowSession object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final FlowSession NULL

      Field NULL is a noop implementation of FlowSession.

    - #### cascadingServices

          protected CascadingServices cascadingServices

  - ### Constructor Detail

    - #### FlowSession

          public FlowSession()

    - #### FlowSession

          public FlowSession(CascadingServices cascadingServices)

  - ### Method Detail

    - #### setCurrentProcess

          public void setCurrentProcess(FlowProcess currentProcess)

      Method setCurrentProcess sets the currentProcess of this FlowSession object.
      Parameters:
        `currentProcess` - the currentProcess of this FlowSession object.

    - #### getCurrentProcess

          public FlowProcess getCurrentProcess()

      Method getCurrentProcess returns the currentProcess of this FlowSession object.
      Returns:
        the currentProcess (type FlowProcess) of this FlowSession object.

    - #### getCascadingServices

          public CascadingServices getCascadingServices()

    - #### getID

          public java.lang.String getID()

      Method getID returns the parent `Flow` ID value.
      Returns:
        of type String

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.